OMV 4.x omv-extras Virtualbox installation problem.

  • Hello,


    Fresh install of Arrakis on the machine. Enabled Testing repo in OMV_Extras. Can't install virtualbox. Can somebody point me in the right direction to resolve this problem ?



    regards,


    root@omv-cebula:~# apt install openmediavault-virtualbox
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:


    The following packages have unmet dependencies:
    openmediavault-virtualbox : Depends: virtualbox-ext-pack-installer but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    root@omv-cebula:~# uname -a
    Linux omv-cebula 4.17.0-0.bpo.1-amd64 #1 SMP Debian 4.17.8-1~bpo9+1 (2018-07-23) x86_64 GNU/Linux
    root@omv-cebula:~#

    • Official Post

    What is the output of: omv-aptclean

    omv 7.1.1-1 sandworm | 64 bit | 6.8 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.14 | compose 7.2.1 | k8s 7.1.1-1 | cputemp 7.0.2 | mergerfs 7.0.5 | scripts 7.0.8


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • I have a similar problem ...
    At a OMV3 (3.0.99) I am not able to install the Virtual-Box-Plugin.
    I used the Web-Gui, installed omv-omvextrasorg 3.4.32.
    When I try to add the omvextras-virtualbox 3.0.8 plugin, I get the following error message:


    Code
    The following packages have unmet dependencies:
     openmediavault-virtualbox : Depends: linux-headers-686-pae but it is not installable or
                                          linux-headers-amd64 but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.


    I tried to add linux-headers-amd64 manual by apt-get ... but get following:

    Code
    Hängt ab von: linux-headers-4.9.0-0.bpo.6-amd64 soll aber nicht installiert werden
    E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.


    I tried a new installation of OMV4 at a Test-PC and get the same error message.


    How can I fix this problem?


    Thank you for your help,
    boh73

  • I tried installing virtual box 4.1 yesterday on a fresh OMV 4.1.9 (4.17 Kernel) Installation - doesn't work



    Also tried with testing repo enabled, but no luck :(


    Any help is appreciated!

    MOGA
    Make OMV great again!
    Make Virtual Box running!

  • What is the output of: omv-aptclean

    Part 1

    MOGA
    Make OMV great again!
    Make Virtual Box running!

  • What is the output of: omv-aptclean

    Part 2

    MOGA
    Make OMV great again!
    Make Virtual Box running!

  • I just gave a quick run with kernel 4.14 on OMV 4


    Same result



    I wounder if I do a fresh install with OMV 3 if it works? But doesn't look good if I look at @boh73 post:

    I have a similar problem ...
    At a OMV3 (3.0.99) I am not able to install the Virtual-Box-Plugin.

    My old and running Installation OMV 2 and OMV 3 all have running the Virtual Box Plugin and I never experienced any problems...


    Does somebody knows what's going on? :/

    MOGA
    Make OMV great again!
    Make Virtual Box running!

    Edited once, last by R2D2 ().

  • Very very wierdo!


    I found a solution to overcome the problem of not being able to install virtual box!


    Don't judge me for what I did and why it worked!


    • I still had kernel 4.14 activated
    • OMV Extras with testing enabled
    • And here it comes: I disabled backports with the button under OMV Extras and than I just enabled it right after it again

    Now the installation worked and Virtual Box appears in the menu!


    I will investigate further but I'm not sure why it worked? I thought backports is already enabled because the kernels are both backport kernels?!

    MOGA
    Make OMV great again!
    Make Virtual Box running!

    Edited once, last by R2D2 ().

  • I only have kernel 4.9.0-0.bpo.6-amd64 and 4.9.0-0.bpo.4-amd64 from which I could choice one ... I have not seen a button to disable backport-kernel.
    How did you do this?

  • I only have kernel 4.9.0-0.bpo.6-amd64 and 4.9.0-0.bpo.4-amd64 from which I could choice one ... I have not seen a button to disable backport-kernel.
    How did you do this?

    I guess it's not about the backport kernel (because I can't choose any other than a bpo kernel) but about the backport-soruces


    There is a button in the OVM-Extras Tab (top line on the right) - give a look!

    MOGA
    Make OMV great again!
    Make Virtual Box running!

    Edited once, last by R2D2 ().

    • Official Post

    I have not seen a button to disable backport-kernel.
    How did you do this?

    This option is only available on OMV 4.x.

    omv 7.1.1-1 sandworm | 64 bit | 6.8 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.14 | compose 7.2.1 | k8s 7.1.1-1 | cputemp 7.0.2 | mergerfs 7.0.5 | scripts 7.0.8


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

    • Official Post

    Can you tell if backports (repository not kernel, right?) is activated or deactivated on a new OMV 4 Install?

    The backports repository is activated but only the kernel is pinned. So, no other backports packages should be used (unless omv-extras is installed and it pins more packages). The backports kernel is installed as well since it is pinned.

    omv 7.1.1-1 sandworm | 64 bit | 6.8 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.14 | compose 7.2.1 | k8s 7.1.1-1 | cputemp 7.0.2 | mergerfs 7.0.5 | scripts 7.0.8


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • The backports repository is activated but only the kernel is pinned. So, no other backports packages should be used (unless omv-extras is installed and it pins more packages). The backports kernel is installed as well since it is pinned.

    Okay, so I think this causes the 'trouble' which makes Virtual Box not instalable right away.


    The only thing to do (beside installing the omv-extra package) is to activate backports in the omv-extra tab. The installation of virtual box should then work right away. I will try with a fresh install right away... ;)

    MOGA
    Make OMV great again!
    Make Virtual Box running!

    • Official Post

    Okay, so I think this causes the 'trouble' which makes Virtual Box not instalable right away.

    It shouldn't. The virtualbox package is only available in backports.

    omv 7.1.1-1 sandworm | 64 bit | 6.8 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.14 | compose 7.2.1 | k8s 7.1.1-1 | cputemp 7.0.2 | mergerfs 7.0.5 | scripts 7.0.8


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • It shouldn't. The virtualbox package is only available in backports.

    • I did a fresh OMV 4 Install
    • Installed OMV-Extras
    • Upgrade all Packages
    • Reboot because I got a new kernel (4.17>4.14)
    • When I try to install Virtual Box (4.1) (only stable repo enabled) I get this:



    • When i enable backports in the OMV-Extra Tab and install Virtual Box 4.1 it works!
      -> PROFIT!

    Couldn't this be made automatic? When installing the plugin - like you said with pinning? :)

    MOGA
    Make OMV great again!
    Make Virtual Box running!

    • Official Post

    Couldn't this be made automatic? When installing the plugin - like you said with pinning?

    It is automatic but on a new installation, the backports value isn't set in /etc/default/openmediavault. OMV itself enables backports by default in this case. omv-extras doesn't create the pinnings in this case. Enabling backports in omv-extras adds the value. I will change omv-extras so it behaves the same as OMV.

    omv 7.1.1-1 sandworm | 64 bit | 6.8 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.14 | compose 7.2.1 | k8s 7.1.1-1 | cputemp 7.0.2 | mergerfs 7.0.5 | scripts 7.0.8


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!